LXTinyLoadingView
=================
Feature
-------
* This is a Tiny Loading View
* It's Tiny-Light, implement it with Factory Design Pattern and easy to extends
* Support ARC 

Requirement
-------
Test On iOS5.0 or higher, XCode 4

HOW-TO Use
-------
Just import `LXTinyLoadingView` folder in your project.

Client follow:
<pre>
    #import "LXTinyLoadingView.h"
    #import "RedLoadingViewGenerator.h"
    #import "GrayLoadingViewGenerator.h"
</pre>

Call:
<pre>
    ...
    LoadingViewGenerator *generator = [[GrayLoadingViewGenerator alloc] init];
//  LoadingViewGenerator *generator = [[RedLoadingViewGenerator alloc] init];
    ...
    
    CGRect anyRect = CGRectMake(0, 0, 100, 100);
    _loader = [generator tinyLoadingViewWithFrame:anyRect];
    _loader.center = CGPointMake(self.view.center.x, self.view.center.y - 120);    
    ...
    
</pre>


Extend 
-------
Just and some files In `LXTinyLoadingView` floder: 

  1. create `yourLoadingViewGenerator` (.h&.m) in `Generator` floder.
  2. create `yourLoadingView` (.h&.m) in `view` floder.
  3. add image file in `LoadingView.bundle` use filename `lx_loading_` prefix.

Just see `RedLoadingViewGenerator`, `RedLoadingView` ...
You can see more info in `Demo` 

About
-------
Enjoy it ~!
