//
//  GrayLoadingView.m
//  LXTinyLoadingViewDemo
//
//  Created by poPLax on 2013-07-3.
//  Copyright (c) 2013 Poplax Studio. All rights reserved.
//

#import "GrayLoadingView.h"

#define LX_GRAY_LOADING_VIEW_SIZE 100.f

@implementation GrayLoadingView

- (id)initWithFrame:(CGRect)frame
{
    CGRect fitFrame = { frame.origin, { LX_GRAY_LOADING_VIEW_SIZE, LX_GRAY_LOADING_VIEW_SIZE } };
    if (self = [super initWithFrame:fitFrame]) {
        [self setBackgroundColor:[UIColor whiteColor]];
        [self setImageName:@"gray"];
    }
    return self;
}

@end
