//
//  LXTinyLoadingView.h
//  LXTinyLoadingViewDemo
//
//  Created by poPLax on 2013-07-2.
//  Copyright (c) 2013 Poplax Studio. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface LXTinyLoadingView : UIView

@property (nonatomic) BOOL resetsWhenStopped;
@property (nonatomic) BOOL hidesWhenStopped;
@property (nonatomic) BOOL useFadeEffect;

- (id)initWithFrame:(CGRect)frame;
- (void)startAnimating;
- (void)stopAnimating;

- (void)setImageName:(NSString *)suffixImageName;

@end
